# Created by pyp2rpm-3.3.2
%global pypi_name sphinx-epytext

Name:           python-%{pypi_name}
Version:        0.0.4
Release:        %mkrel 7
Summary:        Sphinx "epytext" extension
Group:          Development/Python
License:        MIT
URL:            https://github.com/jayvdb/sphinx-epytext
Source0:        https://files.pythonhosted.org/packages/source/s/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
sphinx-epytext provides basic support for epytext docstrings in Sphinx
autodoc.

It connects to the 'autodoc-process-docstring' hook of Sphinx, to perform the following:
- Replaces '@' with ':' for epydoc fields.
- Replaces L{..} and C{..} with :py:obj:'..'
- Removes U{..} from around links

%package -n     python3-%{pypi_name}
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
%{?python_provide:%python_provide python3-%{pypi_name}}
Requires:       python3dist(sphinx) >= 0.4

%description -n python3-%{pypi_name}
sphinx-epytext provides basic support for epytext docstrings in Sphinx
autodoc.

It connects to the 'autodoc-process-docstring' hook of Sphinx, to perform the following:
- Replaces '@' with ':' for epydoc fields.
- Replaces L{..} and C{..} with :py:obj:'..'
- Removes U{..} from around links

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/sphinx_epytext
%{python3_sitelib}/sphinx_epytext-%{version}-py%{python3_version}.egg-info


%changelog
* Wed Mar 23 2022 umeabot <umeabot> 0.0.4-7.mga9
+ Revision: 1823312
- Mageia 9 Mass Rebuild

* Mon Feb 21 2022 mrambo3501 <mrambo3501> 0.0.4-6.mga9
+ Revision: 1782447
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 0.0.4-5.mga9
+ Revision: 1732390
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.0.4-4.mga8
+ Revision: 1534119
- Mageia 8 Mass Rebuild

* Fri Sep 27 2019 daviddavid <daviddavid> 0.0.4-3.mga8
+ Revision: 1447440
- rebuild for python3.8

* Sat Jul 20 2019 wally <wally> 0.0.4-2.mga8
+ Revision: 1423111
- drop python2 support

* Sun Apr 21 2019 wally <wally> 0.0.4-1.mga7
+ Revision: 1394291
- imported package python-sphinx-epytext

